%global momorel 4
%global src_name hdf4_handler

Summary:         HDF4 data handler for the OPeNDAP Data server
Name:            dap-hdf4_handler
Version:         3.7.9
Release:         %{momorel}m%{?dist}
License:         LGPL
Group:           System Environment/Daemons 
Source0:	 http://www.opendap.org/pub/source/%{src_name}-%{version}.tar.gz
#NoSource:	 0
Patch0:		 hdf4_handler-3.7.8-gcc43.patch
URL:             http://www.opendap.org/
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   bes-devel >= 3.6.2
BuildRequires:   libdap-devel >= 3.8.2
BuildRequires:   hdf-devel
#Requires:       dap-server

%description
This is the hdf4 data handler for our data server. It reads HDF4 and HDF-EOS
files and returns DAP responses that are compatible with DAP2 and the
dap-server software.

%prep 
%setup -q -n %{src_name}-%{version}
%patch0 -p1 -b .gcc43

%build
autoreconf -fi
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"

rm $RPM_BUILD_ROOT%{_libdir}/bes/libhdf4_module.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/dap_hdf4_handler
%{_bindir}/bes-hdf4-data.sh
%{_libdir}/bes/libhdf4_module.so
%{_datadir}/hyrax/data/hdf4
%doc COPYING COPYRIGHT_URI NEWS README

%changelog
* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.9-4m)
- run autoreconf -fi

* Fri May  8 2009 YAMAZAKI Makoto <zaki@zakky.org>
- (3.7.9-3m)
- put source tar ball into repository.

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.9-2m)
- rebuild against rpm-4.6

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.9-1m)
- update to 3.7.9
- rebuild against libdap-3.8.2
- rebuild against bes-3.6.2

* Sun Jun 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.8-1m)
- update to 3.7.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.7.7-2m)
- rebuild against gcc43

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.7.7-1m)
- update to 3.7.7

* Sat Jan  5 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.7.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Jun  7 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.7.2-1m)
- import from Fedora

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-4
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.2-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus at free.fr> 3.7.2-2
- update to 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-3
- rebuild for FC-6

* Sat Jul 22 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-2
- update to 3.7.1
- remove upstreamed patch

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-3
- BuildRequires libdap-devel above 3.6.0

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-2
- add patch for gcc 4.1

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-1
- Update to 3.6.0

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
